auction/show

GET/auction/show

Inspect a single auction and optional attached details. Requires the auctions:read permission.

Request

cURL
curl -X GET "https://provisioning.cloudx.io/api/v1/auction/show?auction_id=auction_123" \
  -H "Authorization: Bearer $CLOUDX_API_KEY"

Query parameters

NameTypeDescription
auction_idrequiredstringCloudX auction ID.
withstringComma-separated related sections to include. Supported values are rounds, bids, ilrd, and external-ilrd.

Responses

Auction inspection data.
{
  "auction_id": "<string>",
  "auctions": [
    {
      "auction_id": "<string>",
      "account_id": "<string>",
      "event_time": "<string>",
      "app_bundle": "<string>",
      "app_name": "<string>",
      "ad_unit_id": "<string>",
      "imp_count": 123,
      "device_os": "<string>",
      "device_country": "<string>",
      "sdk_version": "<string>",
      "test_mode": true,
      "status": 123,
      "priority": 123,
      "has_winner": true,
      "winner_bidder": "<string>",
      "winner_price_cpm": 12.34,
      "bidder_count": 123,
      "bid_count": 123,
      "nonbid_count": 123,
      "auction_duration_ms": 123,
      "error": "<string>",
      "ab_test_id": "<string>",
      "ab_test_variant": "<string>",
      "inserted_at": "<string>"
    }
  ],
  "rounds": [
    {
      "auction_id": "<string>",
      "round_id": "<string>",
      "round_number": 123,
      "priority": 123,
      "account_id": "<string>",
      "event_time": "<string>",
      "app_bundle": "<string>",
      "app_name": "<string>",
      "ad_unit_id": "<string>",
      "device_os": "<string>",
      "device_country": "<string>",
      "sdk_version": "<string>",
      "test_mode": true,
      "line_item_count": 123,
      "bidder_count": 123,
      "bid_count": 123,
      "nonbid_count": 123,
      "bid_sum": 12.34,
      "has_winner": true,
      "winner_bidder": "<string>",
      "winner_line_item_id": "<string>",
      "winner_price_cpm": 12.34,
      "configured_floor": 12.34,
      "round_floor": 12.34,
      "floor_currency": "<string>",
      "dps_model": "<string>",
      "dps_model_version": "<string>",
      "experiment_group": "<string>",
      "shadow_mode": true,
      "round_duration_ms": 123
    }
  ],
  "bids": [
    {
      "auction_id": "<string>",
      "account_id": "<string>",
      "event_time": "<string>",
      "bidder": "<string>",
      "bid_id": "<string>",
      "imp_id": "<string>",
      "price_cpm": 12.34,
      "deal_id": "<string>",
      "is_winner": true,
      "app_bundle": "<string>",
      "ad_unit_id": "<string>",
      "device_os": "<string>",
      "device_country": "<string>",
      "sdk_version": "<string>",
      "test_mode": true,
      "status": "<string>",
      "nonbid_reason": 123,
      "static_floor": 12.34,
      "configured_floor": 12.34,
      "dynamic_floor": 12.34,
      "publisher_floor": 12.34,
      "publisher_floor_applied": true,
      "effective_floor": 12.34,
      "effective_floor_source": "<string>",
      "publisher_override_active": true,
      "http_status": 123,
      "latency_ms": 123,
      "error_type": "<string>",
      "rejection_reason": "<string>",
      "round_number": 123,
      "priority": 123,
      "inserted_at": "<string>"
    }
  ],
  "ilrd": [
    {
      "auction_id": "<string>",
      "account_id": "<string>",
      "event_time": "<string>",
      "bidder": "<string>",
      "bid_id": "<string>",
      "imp_id": "<string>",
      "price_cpm": 12.34,
      "revenue": 12.34
    }
  ],
  "external_ilrd": [
    {
      "impression_id": "<string>",
      "account_id": "<string>",
      "event_time": "<string>",
      "source": "<string>",
      "platform": "<string>",
      "revenue": 12.34,
      "revenue_precision": "<string>",
      "country": "<string>",
      "network_name": "<string>",
      "ad_unit_id": "<string>",
      "platform_ad_unit_id": "<string>",
      "third_party_ad_placement_id": "<string>",
      "ad_format": "<string>",
      "notification_type": "<string>",
      "auction_id": "<string>",
      "creative_id": "<string>",
      "network_placement": "<string>"
    }
  ]
}

200Auction inspection data.

FieldTypeDescription
auction_idrequiredstring
auctionsrequiredarray of object
roundsrequiredarray of object
bidsrequiredarray of object
ilrdrequiredarray of object
external_ilrdrequiredarray of object

400Invalid request parameters.

FieldTypeDescription
errorrequiredstring

401Unauthorized.

FieldTypeDescription
errorrequiredstring

403Forbidden.

FieldTypeDescription
errorrequiredstring

404Auction not found.

FieldTypeDescription
errorrequiredstring

500Internal server error.

FieldTypeDescription
errorrequiredstring

504The query did not finish within the request time budget. Retry, narrowing the time range or filters where the operation accepts them.

FieldTypeDescription
errorrequiredstring